Subject: `Non-printable characters found'

From: Dave Abrahams <[email-masked]>
Date: Tue, 09 Aug 2011 11:59:25 -0400

I've recently discovered that messages sent out containing NUL (0)
characters (which are common in emacs backtraces) are often truncated at
the point of the NUL.  I don't think the warning about "non-printable
characters" is adequate to that danger.  When I see it, I normally
think, "who cares?  I don't expect anyone to print this!"

I suggest either:

  force-replacing NUL or

  issuing a different warning about NUL characters and their possible effects.

No Gnus v0.18
GNU Emacs 23.3.1 (x86_64-apple-darwin10.8.0, Carbon Version 1.6.0 AppKit 1038.36)
 of 2011-08-01 on vulcan
200 news.gmane.org InterNetNews NNRP server INN 2.5.1 ready (posting ok)
101 Capability list:
VERSION 2
IMPLEMENTATION INN 2.5.1
AUTHINFO USER
HDR
LIST ACTIVE ACTIVE.TIMES DISTRIB.PATS HEADERS NEWSGROUPS OVERVIEW.FMT
OVER
POST
READER
STARTTLS
.

-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com